package com.xzzn.ems.domain.vo;

import com.xzzn.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.List;

/**
 * 电价配置-电价列表-对象
 *
 */
public class EnergyPriceConfigVo {

    /** 时间格式 yyyy-MM */
    private String yearMonth;
    /** 尖电价(元/kWh) */
    @Excel(name = "尖电价(元/kWh)")
    private BigDecimal peak;
    /** 峰电价(元/kWh) */
    @Excel(name = "峰电价(元/kWh)")
    private BigDecimal high;
    /** 平电价(元/kWh) */
    @Excel(name = "平电价(元/kWh)")
    private BigDecimal flat;
    /** 谷电价(元/kWh) */
    @Excel(name = "谷电价(元/kWh)")
    private BigDecimal valley;
    /** 时段开始时间 */
    @Excel(name = "时段开始时间")
    private String startTime;
    /** 时段结束时间 */
    @Excel(name = "时段结束时间")
    private String endTime;
    /** 电价类型: 尖-peak,峰-high,平-flat,谷=valley */
    @Excel(name = "电价类型: 尖-peak,峰-high,平-flat,谷=valley")
    private String costType;

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public BigDecimal getPeak() {
        return peak;
    }

    public void setPeak(BigDecimal peak) {
        this.peak = peak;
    }

    public BigDecimal getHigh() {
        return high;
    }

    public void setHigh(BigDecimal high) {
        this.high = high;
    }

    public BigDecimal getFlat() {
        return flat;
    }

    public void setFlat(BigDecimal flat) {
        this.flat = flat;
    }

    public BigDecimal getValley() {
        return valley;
    }

    public void setValley(BigDecimal valley) {
        this.valley = valley;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType;
    }
}
